Search Home Members Contacts
About Us
Products
Downloads
Community
Support
Pages: [1]
  Print  
Author Topic: VB 2010  (Read 9269 times)
asia
Customers
Community Member
*****
Posts: 183


« on: June 01, 2010, 08:35:46 AM »

Have someone a working example with VB2010? I am not able to get it working with TV. Cry
I have the following error:
Quote
Mixed mode assembly is built against version 'v1.1.4322' of the runtime and cannot be loaded in the 4.0 runtime without additional configuration information.
What kind of additional information?
The template that comes with the SDK also (once translated to VB2010) doesn't work!
Thanks
Fabio

PS
Op.System: Window 7
Logged

Fabio Musmeci
ENEA
CR Casaccia
Via Anguillarese 301
00060 Rome
Italy
musmeci@enea.it
+39 3333934898
Learning to live better on a smaller footprint..
Mithrandir
Community Member
*
Posts: 326


« Reply #1 on: June 01, 2010, 02:46:39 PM »

My guess would be:
Check .Net framework version you are using in Project properties.
Logged
asia
Customers
Community Member
*****
Posts: 183


« Reply #2 on: June 03, 2010, 09:57:58 AM »

I am still unable to run VB2010+TV. Any help? A running template will be appreciated..
 Embarrassed
Logged

Fabio Musmeci
ENEA
CR Casaccia
Via Anguillarese 301
00060 Rome
Italy
musmeci@enea.it
+39 3333934898
Learning to live better on a smaller footprint..
ZaPPZion
Moderator
Community Member
*****
Posts: 571


« Reply #3 on: June 03, 2010, 11:38:29 AM »

Which .NET framework version are you compiling for? try setting it to 2.0 or so
Logged

Check out my website: www.bartkuipers.com
asia
Customers
Community Member
*****
Posts: 183


« Reply #4 on: June 03, 2010, 12:50:48 PM »

OK, the SDK TV Template for dot net will run on VB2010 only if you compile for 2.0.
Maybe it is time for an upgrade... Wink
Logged

Fabio Musmeci
ENEA
CR Casaccia
Via Anguillarese 301
00060 Rome
Italy
musmeci@enea.it
+39 3333934898
Learning to live better on a smaller footprint..
Toaster
Community Member
*
Posts: 378


WWW
« Reply #5 on: June 03, 2010, 01:34:37 PM »

Should work fine with 3.5 as that is what I use with all my projects. You cannot use 4.0 though even Sylvain's MTV3D65 .NET 3.5 test dll didn't work in 4.0 mode, if I remember right.

-Toaster
Logged

Visit my site at: Unknown Abstraction
maf
Community Member
*
Posts: 21


« Reply #6 on: June 04, 2010, 08:22:11 AM »

I posted a wiki item about this a few months ago, after finding this error myself in VS2010

http://wiki.truevision3d.com/tv3d/using_net_framework_4
« Last Edit: June 04, 2010, 08:24:04 AM by maf » Logged

WindowError:01A Operating system overwritten. Terribly sorry.
WindowError:01B Illegal error. Do not get this error.
WindowError:01F Reserved for future mistakes
WindowError:020 Error recording error codes. Remaining errors lost.
ZaPPZion
Moderator
Community Member
*****
Posts: 571


« Reply #7 on: June 05, 2010, 03:33:44 AM »

thanks maf!
Logged

Check out my website: www.bartkuipers.com
MiloDC
Customers
Community Member
*****
Posts: 217


WWW
« Reply #8 on: June 26, 2010, 05:59:55 PM »

I posted a wiki item about this a few months ago, after finding this error myself in VS2010

http://wiki.truevision3d.com/tv3d/using_net_framework_4

Hmmm, I'm using VS2010 myself and I have never needed this line:

Code:
<requiredRuntime version="v4.0.20506" />

Are you absolutely sure that it's necessary?
Logged

maf
Community Member
*
Posts: 21


« Reply #9 on: June 27, 2010, 02:51:28 PM »

indeed seems you are right have just tested with the exclusion of that line and all is good...updated wiki to reflect changes.
Logged

WindowError:01A Operating system overwritten. Terribly sorry.
WindowError:01B Illegal error. Do not get this error.
WindowError:01F Reserved for future mistakes
WindowError:020 Error recording error codes. Remaining errors lost.
Dimple
Community Member
*
Posts: 643


« Reply #10 on: February 24, 2012, 11:42:39 AM »

 Smiley

asia,

Did you ever resolve this? Just asking as I use 2010 a lot, with an App_Config_file containing this:

<?xml version="1.0" encoding="utf-8" ?>
 <configuration>
 <startup useLegacyV2RuntimeActivationPolicy="true">
 <supportedRuntime version="v4.0"/>
 <supportedRuntime version="v1.1.4322"/>
 </startup>
</configuration>

and make sure that I have the project target framework set to (Auto) & .NET Framework 4.

works fine...

If you have it figured out sorry about the necro...


 
Logged

Using VB.NET, TV3D 6.5, Win 7
~~~~~~~~~~~~~~~~~~~~~~~

"Know how to ask. There is nothing more difficult for some people, nor for others, easier."

- Baltasar Gracian
asia
Customers
Community Member
*****
Posts: 183


« Reply #11 on: February 27, 2012, 03:21:47 AM »

Yes, it was solved..Smiley
Logged

Fabio Musmeci
ENEA
CR Casaccia
Via Anguillarese 301
00060 Rome
Italy
musmeci@enea.it
+39 3333934898
Learning to live better on a smaller footprint..
Pages: [1]
  Print  
 
Jump to:  

Powered by SMF 1.1.3 | SMF © 2006-2007, Simple Machines LLC
Seo4Smf v0.2 © Webmaster's Talks